Bug 1581553 - [distribute]: Excessive 'dict is null' errors in geo-rep logs
Summary: [distribute]: Excessive 'dict is null' errors in geo-rep logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1583565
TreeView+ depends on / blocked
 
Reported: 2018-05-23 05:00 UTC by Rochelle
Modified: 2018-09-14 04:12 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1583565 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:48:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:49:57 UTC

Description Rochelle 2018-05-23 05:00:55 UTC
Description of problem:
=======================
Observed excessive 'dict is null' errors on the master and the slave:
(which seems to be different from the issue reported in https://bugzilla.redhat.com/show_bug.cgi?id=1565577

Master:
-------
ssh%3A%2F%2Froot%4010.70.42.164%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Fbricks%2Fbrick2%2Fmaster_brick6.gluster.log-20180523:[2018-05-22 05:33:22.738905] E [MSGID: 101046] [dht-common.c:1905:dht_revalidate_cbk] 0-master-dht: dict is null
ssh%3A%2F%2Froot%4010.70.42.164%3Agluster%3A%2F%2F127.0.0.1%3Aslave.%2Fbricks%2Fbrick2%2Fmaster_brick6.gluster.log-20180523:[2018-05-22 05:48:43.301831] E [MSGID: 101046] [dht-common.c:1905:dht_revalidate_cbk] 0-master-dht: dict is null


Slave:
------
69f15d24-ded7-482f-afe5-872b74c0ff97:10.70.42.138.%2Fbricks%2Fbrick2%2Fmaster_brick8.slave.gluster.log:[2018-05-22 08:30:32.620590] E [MSGID: 101046] [dht-common.c:1905:dht_revalidate_cbk] 0-slave-dht: dict is null
69f15d24-ded7-482f-afe5-872b74c0ff97:10.70.42.138.%2Fbricks%2Fbrick2%2Fmaster_brick8.slave.gluster.log:[2018-05-22 08:30:34.229877] E [MSGID: 101046] [dht-common.c:1905:dht_revalidate_cbk] 0-slave-dht: dict is null
69f15d24-ded7-482f-afe5-872b74c0ff97:10.70.42.138.%2Fbricks%2Fbrick2%2Fmaster_brick8.slave.gluster.log:[2018-05-22 08:30:39.437146] E [MSGID: 101046] [dht-common.c:1905:dht_revalidate_cbk] 0-slave-dht: dict is null

Version-Release number of selected component (if applicable):
============================================================
python2-gluster-3.12.2-11.el7rhgs.x86_64
libvirt-daemon-driver-storage-gluster-3.9.0-14.el7_5.4.x86_64
glusterfs-libs-3.12.2-11.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-11.el7rhgs.x86_64
gluster-nagios-common-0.2.4-1.el7rhgs.noarch
glusterfs-3.12.2-11.el7rhgs.x86_64
glusterfs-api-3.12.2-11.el7rhgs.x86_64
glusterfs-events-3.12.2-11.el7rhgs.x86_64
vdsm-gluster-4.19.43-2.3.el7rhgs.noarch
glusterfs-client-xlators-3.12.2-11.el7rhgs.x86_64
glusterfs-cli-3.12.2-11.el7rhgs.x86_64
glusterfs-rdma-3.12.2-11.el7rhgs.x86_64
glusterfs-server-3.12.2-11.el7rhgs.x86_64
gluster-nagios-addons-0.2.10-2.el7rhgs.x86_64
glusterfs-fuse-3.12.2-11.el7rhgs.x86_64


How reproducible:
=================
1/1


Steps to Reproduce:
==================
Ran automated cases of Geo-replication with snapshot

Comment 2 Mohit Agrawal 2018-05-25 09:05:40 UTC
Hi Rochelle,

Can you please share the logs ??

Mohit Agrawal

Comment 12 errata-xmlrpc 2018-09-04 06:48:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.